FreeMat

- Main Page
- Related Pages

vtkBlankStructuredGridWithImage

Section: Visualization Toolkit Graphics Classes

# Usage

This filter can be used to set the blanking in a structured grid with an image. The filter takes two inputs: the structured grid to blank, and the image used to set the blanking. Make sure that the dimensions of both the image and the structured grid are identical.

Note that the image is interpreted as follows: zero values indicate that the structured grid point is blanked; non-zero values indicate that the structured grid point is visible. The blanking data must be unsigned char.

To create an instance of class vtkBlankStructuredGridWithImage, simply invoke its constructor as follows

      obj = vtkBlankStructuredGridWithImage

# Methods

The class vtkBlankStructuredGridWithImage has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBlankStructuredGridWithImage class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBlankStructuredGridWithImage = obj.NewInstance ()`
- `vtkBlankStructuredGridWithImage = obj.SafeDownCast (vtkObject o)`
- `obj.SetBlankingInput (vtkImageData input)` - Set / get the input image used to perform the blanking.
- `vtkImageData = obj.GetBlankingInput ()` - Set / get the input image used to perform the blanking.